Flutter 1.22 稳定版发布

2020年10月08日

近日,Flutter 1.22 稳定版已正式发布。此版本带来了对 iOS 14 和 Android 11 的支持,以及对 i18n 和 l10n 的支持,可用于生产的 Google Maps 和 WebView 插件,还有新的 App Size 工具等等。

支持 iOS 14

  • Xcode 12 需要 iOS 9.0 或更高版本,因此 Flutter 的模板默认值也从 8.0 更新到 9.0
  • iOS 14 特定崩溃和字体渲染问题已在 Flutter 1.22 中修复
  • 从 Flutter 1.20.4 起,解决了部署到物理设备的问题
  • 当应用程序访问剪贴板时,显示使用通知,从而导致 Flutter 应用程序中出现虚假通知,已在 Flutter 1.20.4 中修复
  • 有一项限制条件,禁止在 iOS 14 设备上运行调试应用,除非是作为调试过程的一部分
  • 针对本地调试的 Flutter 应用程序的有关网络安全的新策略,使 iOS 14 显示一次性确认对话框(仅在开发过程中,不适用于已发布的 Flutter 应用程序)

更多详情可参阅  the iOS 14 documentation on flutter.dev 文档

此版本还更新了对 iOS 新 SF Symbols 字体的支持,cupertino_icon 程序包因此得到更新。将 cupertino_icons 依赖关系更新为新的 1.0 主要版本后,CupertinoIcons 的现有用法将自动映射到新样式。如果将 cupertino_icons 1.0 与 Flutter 1.22 结合使用,那么还可以通过 CupertinoIcons API 访问约 900 个新图标。

现在可以在 iOS 14 上尝试使用 Flutter 的另一个功能是 App Clips,它是 iOS 14 的一项新功能,支持 10MB 以下轻量级应用程序的执行。

支持 Android 11

Flutter 框架和引擎已更新,以支持最新版本的 Android 中引入的两个新功能。

首先,Flutter 现在支持公开显示 Android 槽口、切口和瀑布显示边缘的安全插图。

通过使用 MediaQuery 和 SafeArea API,可以确保将活动的 UI 和交互式元素放置在设备显示屏的无障碍区域中。

其次,显示软件键盘的动画与 Android 11 同步。

去年,随着 Flutter 1.12 版推出了一套适用于 Android 的 Flutter 引擎和 Flutter 插件 API。现在这些 API 已经有 v2 版本,从 1.22 开始,不再支持较旧的 v1 API。

如果仍然有基于 v1 Android API 的 Flutter 应用程序,它还是可以继续运行的。但可能会开始遇到仅针对 v2 API 且 v1 Android API 无法使用的新插件。

新的按钮样式

Flutter 团队称,现有的 Flutter 按钮看上去不错,但很难使用,尤其是在需要自定义主题时。而且,Material 规范已扩展为包括具有新样式的新按钮。为使 Flutter 保持与 Material 同步,Flutter 1.22 中的按钮具有全新的面貌。

新主题遵循 Flutter 最近在新 Material 窗口小部件中采用的“规范化”模式。不过这也这并不是一个重大变化,因为 FlatButton,OutlineButton,RaisedButton,ButtonBar,ButtonBarTheme 和 ButtonTheme 的语义不会改变。可以将旧按钮与新按钮混合使用。

其他

  • 新的国际化和本地化支持

  • Google Maps 和 WebView 插件
  • Navigator 2.0

  • 预览:Android 的状态还原

  • 新的 Dart 开发者工具
  • 应用程序大小分析工具

更多内容见发布公告

展开阅读全文
1 收藏
分享
加载中
最新评论 (6)
sqflite要能统一支持各个平台,包括Web就好了
2020-10-12 14:18
0
回复
举报
webview终于出正式版本了
2020-10-09 11:08
0
回复
举报
webview终于出正式版本了
2020-10-09 10:13
0
回复
举报
nibilitty
2020-10-08 21:15
0
回复
举报
您好,请问这个绘图是怎么实现的?
2020-10-08 20:59
0
回复
举报
前排
2020-10-08 20:03
0
回复
举报
更多评论
6 评论
1 收藏
分享
返回顶部
顶部